Bug 1739838 - Review Request: qownnotes - Plain-text file markdown note taking with Nextcloud integration
Summary: Review Request: qownnotes - Plain-text file markdown note taking with Nextclo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-11 05:52 UTC by Artem
Modified: 2019-08-24 01:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-21 01:04:28 UTC
vascom2: fedora-review+


Attachments (Terms of Use)

Description Artem 2019-08-11 05:52:45 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/atim/qownnotes/fedora-30-x86_64/00997466-qownnotes/qownnotes.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/atim/qownnotes/fedora-30-x86_64/00997466-qownnotes/qownnotes-1.8.4-1.20190810git0302b2c.fc30.src.rpm

Description:
QOwnNotes is the open source notepad with markdown support and todo list
manager for GNU/Linux, Mac OS X and Windows, that works together with the
default notes application of ownCloud and Nextcloud.

You are able to write down your thoughts with QOwnNotes and edit or search for
them later from your mobile device, like with CloudNotes or the
ownCloud / Nextcloud web-service.

The notes are stored as plain text files and are synced with
ownCloud's / Nextcloud's file sync functionality. Of course other software,
like Syncthing or Dropbox can be used too.

I like the concept of having notes accessible in plain text files, like it is
done in the ownCloud / Nextcloud notes apps, to gain a maximum of freedom, but
I was not able to find a decent desktop note taking tool or a text editor, that
handles them well. Out of this need QOwnNotes was born.

Fedora Account System Username: atim

Working COPR: https://copr.fedorainfracloud.org/coprs/atim/qownnotes/

Comment 1 Vasiliy Glazov 2019-08-12 06:03:42 UTC
DEBUG util.py:585:  BUILDSTDERR: Error: 
DEBUG util.py:585:  BUILDSTDERR:  Problem: cannot install the best candidate for the job
DEBUG util.py:585:  BUILDSTDERR:   - nothing provides compat-openssl10-devel needed by botan-devel-1.10.17-13.fc31.x86_64
DEBUG util.py:587:  (try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

1. Change cmake BR to cmake3. And macro %cmake to %cmake3.

2. Change BR qt5-qtbase-devel to cmake(Qt5).

Comment 2 Artem 2019-08-12 15:04:54 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/atim/qownnotes/fedora-30-x86_64/00997842-qownnotes/qownnotes.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/atim/qownnotes/fedora-30-x86_64/00997842-qownnotes/qownnotes-1.8.4-2.20190810git0302b2c.fc30.src.rpm

(In reply to Vasiliy Glazov from comment #1)
> DEBUG util.py:585:  BUILDSTDERR: Error: 
> DEBUG util.py:585:  BUILDSTDERR:  Problem: cannot install the best candidate
> for the job
> DEBUG util.py:585:  BUILDSTDERR:   - nothing provides compat-openssl10-devel
> needed by botan-devel-1.10.17-13.fc31.x86_64
> DEBUG util.py:587:  (try to add '--skip-broken' to skip uninstallable
> packages or '--nobest' to use not only best candidate packages)

This happens only on Rawhide. Need to investigate this.

Comment 6 Vasiliy Glazov 2019-08-13 08:52:12 UTC
Need to change flto=$(nproc) to flto=auto for repeatable builds on different cpus.

Comment 9 Artem 2019-08-13 14:59:11 UTC
> Large data in /usr/share should live in a noarch subpackage if package is arched.
> Note: Arch-ed rpms have a total of 7526400 bytes in /usr/share

Now witch separate translation because of this. And other packaging fixes.

Spec URL: https://atim.fedorapeople.org/for-review/qownnotes.spec
SRPM URL: https://atim.fedorapeople.org/for-review/qownnotes-1.8.4-6.20190810git0302b2c.fc30.src.rpm

Comment 10 Vasiliy Glazov 2019-08-14 07:37:17 UTC
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v2)", "GNU General Public License
     (v2)", "BSD (unspecified)", "GPL (v2 or later)", "Apache License
     (v2.0)", "ISC License", "Expat License", "BSD 3-clause "New" or
     "Revised" License", "*No copyright* BSD (unspecified)", "GPL (v3 or
     later)", "GPL (v3)", "GNU Lesser General Public License (v2.1)", "BSD
     3-clause "New" or "Revised" License GPL (v3.0)". 840 files have
     unknown license. Detailed output of licensecheck in
     /home/vascom/1739838-qownnotes/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/qt5,
     /usr/share/qt5/translations
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     qownnotes
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qownnotes-1.8.4-6.20190810git0302b2c.fc31.x86_64.rpm
          qownnotes-translations-1.8.4-6.20190810git0302b2c.fc31.noarch.rpm
          qownnotes-debuginfo-1.8.4-6.20190810git0302b2c.fc31.x86_64.rpm
          qownnotes-debugsource-1.8.4-6.20190810git0302b2c.fc31.x86_64.rpm
          qownnotes-1.8.4-6.20190810git0302b2c.fc31.src.rpm
qownnotes.x86_64: W: spelling-error %description -l en_US todo -> too, dodo, to do
qownnotes.x86_64: W: spelling-error %description -l en_US ownCloud -> own Cloud, own-cloud, overcloud
qownnotes.x86_64: W: spelling-error %description -l en_US ownCloud's -> own Cloud's, own-cloud's, cloudiness's
qownnotes.x86_64: W: no-manual-page-for-binary QOwnNotes
qownnotes-translations.noarch: W: no-documentation
qownnotes.src: W: spelling-error %description -l en_US todo -> too, dodo, to do
qownnotes.src: W: spelling-error %description -l en_US ownCloud -> own Cloud, own-cloud, overcloud
qownnotes.src: W: spelling-error %description -l en_US ownCloud's -> own Cloud's, own-cloud's, cloudiness's
5 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: qownnotes-debuginfo-1.8.4-6.20190810git0302b2c.fc31.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_RU.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_RU.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
qownnotes-debuginfo.x86_64: W: invalid-url URL: https://www.qownnotes.org <urlopen error [Errno -2] Name or service not known>
qownnotes-debugsource.x86_64: W: invalid-url URL: https://www.qownnotes.org <urlopen error [Errno -2] Name or service not known>
qownnotes-translations.noarch: W: invalid-url URL: https://www.qownnotes.org <urlopen error [Errno -2] Name or service not known>
qownnotes-translations.noarch: W: no-documentation
qownnotes.x86_64: W: spelling-error %description -l en_US todo -> too, dodo, to do
qownnotes.x86_64: W: spelling-error %description -l en_US ownCloud -> own Cloud, own-cloud, overcloud
qownnotes.x86_64: W: spelling-error %description -l en_US ownCloud's -> own Cloud's, own-cloud's, cloudiness's
qownnotes.x86_64: W: invalid-url URL: https://www.qownnotes.org <urlopen error [Errno -2] Name or service not known>
qownnotes.x86_64: W: no-manual-page-for-binary QOwnNotes
4 packages and 0 specfiles checked; 0 errors, 9 warnings.



Source checksums
----------------
https://github.com/pbek/qkeysequencewidget/archive/9f3f19f7e96a001a98a3216fb65381359da8c39e/qkeysequencewidget-9f3f19f.tar.gz :
  CHECKSUM(SHA256) this package     : cd58a149e948731df28ade41f84b47ea2259e5cd8660d9270fdbf5f1a1128639
  CHECKSUM(SHA256) upstream package : cd58a149e948731df28ade41f84b47ea2259e5cd8660d9270fdbf5f1a1128639
https://github.com/pbek/qt-piwik-tracker/archive/a497ea0a0e2d7eeb4b3d942691e1a4e7154be954/qtpiwiktracker-a497ea0.tar.gz :
  CHECKSUM(SHA256) this package     : 50c08a8a4a8bb2244d2af99b122334eeabe7bd6fb58a499ffdc46cf4e584c7cc
  CHECKSUM(SHA256) upstream package : 50c08a8a4a8bb2244d2af99b122334eeabe7bd6fb58a499ffdc46cf4e584c7cc
https://github.com/pbek/FakeVim/archive/8f1a58e5e2aff87a0bf40b078e32ae2779dca213/fakevim-8f1a58e.tar.gz :
  CHECKSUM(SHA256) this package     : 825c6f9b0decd9470c4cf6e01500bb185ab95b4225d843736b8e7bb07f04513b
  CHECKSUM(SHA256) upstream package : 825c6f9b0decd9470c4cf6e01500bb185ab95b4225d843736b8e7bb07f04513b
https://github.com/pbek/qtcsv/archive/db3e9a816d91a4773b61312cafa25eff4ddec91c/qtcsv-db3e9a8.tar.gz :
  CHECKSUM(SHA256) this package     : 863d02e1c947dcd4b9beca621197383ce0358c15087414308f22b80a08f4d014
  CHECKSUM(SHA256) upstream package : 863d02e1c947dcd4b9beca621197383ce0358c15087414308f22b80a08f4d014
https://github.com/pbek/Qt-Toolbar-Editor/archive/612029c45b7b6c38be8ffe7c600ae6a10edb9006/qttoolbareditor-612029c.tar.gz :
  CHECKSUM(SHA256) this package     : 2bce6f8654aa18400aad2667e3e32ce2794ff97003ede648a34a831ef2087da2
  CHECKSUM(SHA256) upstream package : 2bce6f8654aa18400aad2667e3e32ce2794ff97003ede648a34a831ef2087da2
https://github.com/pbek/qmarkdowntextedit/archive/e97d020962f2444cc30d24d0e39c00781b2e0ae1/qmarkdowntextedit-e97d020.tar.gz :
  CHECKSUM(SHA256) this package     : 654498442392bdc761183af6b8c85c31f4583807df3787cdd9b36b734bf35e31
  CHECKSUM(SHA256) upstream package : 654498442392bdc761183af6b8c85c31f4583807df3787cdd9b36b734bf35e31
https://github.com/pbek/QOwnNotes/archive/0302b2ca3a4528c5ab3e9f2f9a356e9b41413038/qownnotes-1.8.4.20190810git0302b2c.tar.gz :
  CHECKSUM(SHA256) this package     : 4790f44a3218d5b79e7cd10362383c2c00e400b37f3a66fcad3bf8e993dc8bb4
  CHECKSUM(SHA256) upstream package : 4790f44a3218d5b79e7cd10362383c2c00e400b37f3a66fcad3bf8e993dc8bb4


Requires
--------
qownnotes (rpmlib, GLIBC filtered):
    hicolor-icon-theme
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.12)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5PrintSupport.so.5(Qt_5)(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Sql.so.5()(64bit)
    libQt5Sql.so.5(Qt_5)(64bit)
    libQt5WebSockets.so.5()(64bit)
    libQt5WebSockets.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libQt5Xml.so.5(Qt_5)(64bit)
    libQt5XmlPatterns.so.5()(64bit)
    libQt5XmlPatterns.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    rtld(GNU_HASH)

qownnotes-translations (rpmlib, GLIBC filtered):
    qownnotes(x86-64)

qownnotes-debuginfo (rpmlib, GLIBC filtered):

qownnotes-debugsource (rpmlib, GLIBC filtered):



Provides
--------
qownnotes:
    application()
    application(PBE.QOwnNotes.desktop)
    bundled(botan)
    bundled(fakevim)
    bundled(qkeysequencewidget)
    bundled(qmarkdowntextedit)
    bundled(qt-piwik-tracker)
    bundled(qt-toolbar-editor)
    bundled(qtcsv)
    metainfo()
    metainfo(qownnotes.appdata.xml)
    qownnotes
    qownnotes(x86-64)

qownnotes-translations:
    qownnotes-translations

qownnotes-debuginfo:
    debuginfo(build-id)
    qownnotes-debuginfo
    qownnotes-debuginfo(x86-64)

qownnotes-debugsource:
    qownnotes-debugsource
    qownnotes-debugsource(x86-64)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1739838
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, C/C++, Shell-api
Disabled plugins: PHP, Haskell, Python, Ocaml, SugarActivity, R, fonts, Perl, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 12 Gwyn Ciesla 2019-08-14 14:04:02 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/qownnotes

Comment 13 Thomas Moschny 2019-08-14 16:09:19 UTC
You really should not bundle an old botan version, that opens the door for security problems.

Comment 14 Fedora Update System 2019-08-14 17:15:39 UTC
FEDORA-2019-5b91f967e7 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5b91f967e7

Comment 15 Fedora Update System 2019-08-14 17:16:14 UTC
FEDORA-2019-b412934ded has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b412934ded

Comment 16 Fedora Update System 2019-08-16 19:50:32 UTC
qownnotes-1.8.4-7.20190810git0302b2c.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b412934ded

Comment 17 Fedora Update System 2019-08-16 20:12:30 UTC
qownnotes-1.8.4-7.20190810git0302b2c.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5b91f967e7

Comment 18 Fedora Update System 2019-08-21 01:04:28 UTC
qownnotes-1.8.4-7.20190810git0302b2c.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-08-24 01:59:38 UTC
qownnotes-1.8.4-7.20190810git0302b2c.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.